![banner](https://raw.githubusercontent.com/FairyEver/d2-admin/master/doc/image/banner.png)

<p align="center">
  <a><img src="https://img.shields.io/github/release/d2-projects/d2-admin.svg"/></a>
  <a><img src="https://img.shields.io/npm/v/@d2-admin/ice-scaffold.svg"/></a>
  <a><img src="https://img.shields.io/github/last-commit/d2-projects/d2-admin.svg"/></a>
  <a><img src="https://img.shields.io/badge/code_style-standard-brightgreen.svg"/></a>
</p>

<p align="center">
	<a><img src="https://img.shields.io/github/issues/d2-projects/d2-admin.svg"/></a>
	<a><img src="https://img.shields.io/github/issues-closed/d2-projects/d2-admin.svg"/></a>
	<a><img src="https://img.shields.io/github/issues-pr/d2-projects/d2-admin.svg"/></a>
	<a><img src="https://img.shields.io/github/issues-pr-closed/d2-projects/d2-admin.svg"/></a>
	<a><img src="https://img.shields.io/github/forks/d2-projects/d2-admin.svg"/></a>
	<a><img src="https://img.shields.io/github/stars/d2-projects/d2-admin.svg"/></a>
</p>

<p align="center">
	<a href="https://www.travis-ci.org/d2-projects/d2-admin">
		<img src="https://www.travis-ci.org/d2-projects/d2-admin.svg?branch=master"/>
	</a>
	<a href="https://app.netlify.com/sites/d2-admin/deploys">
		<img src="https://api.netlify.com/api/v1/badges/a5dd4bbd-da3f-4145-98a9-8012577bdcf5/deploy-status"/>
	</a>
</p>

D2Admin is a fully open source and free enterprise back-end product front-end integration solution, using the latest front-end technology stack, has prepared most of the project preparations, and with a lot of sample code to help the management system agile development.

[中文介绍](https://github.com/d2-projects/d2-admin/blob/master/README.zh.md) | **English**

## Document

[Document](https://doc.d2admin.fairyever.com)

## Preview

* [Preview](https://d2-admin.netlify.com) Deployed in Netlify CDN
* [Preview For Chinese](https://d2admin.fairyever.com) Deployed in qiniu CDN

## Features

* Build with vue-cli3
* First screen loading waiting animation
* Five themes
* Built-in UEditor rich text editor
* Detailed documentation
* Login and logout
* Separate routing and menu settings
* Foldable sidebar
* Multi-national language
* Rich text editor
* Markdown editor
* full screen
* Fontawesome icon library
* Icon selector
* Automatically register SVG icon
* Simulation data
* Clipboard package
* Chart library
* Time and date calculation tool
* Import Excel ( xlsx + csv )
* Data export Excel ( xlsx + csv )
* Data export text
* Digital animation
* Drag and drop the size of the block layout
* Grid layout for drag and resize and position
* Out-of-the-box page layout components
* Load and parse markdown files
* GitHub style markdown display component
* markdown internal code highlighting
* Expanded Baidu cloud link resolution and optimized display for markdown
* Right click menu component
* Custom scrollbars and scrolling controls
* Common style extraction, convenient theme customization
* Support temporary menu configuration
* System function display module `1.1.4 +`
* Multi-tab mode `1.1.4 +`
* Beautify the scroll bar `1.1.4 +`
* json view `1.1.4 +`
* cookie wrapper `1.1.5 +`
* Multi-tab global control API `1.1.5 +`
* Menu Global Control API `1.1.5 +`
* Multi-tab page close control support right-click menu `1.1.10 +`
* Modular global state management `1.2.0 +`
* Multiple data persistence methods: distinguish users, distinguish routes, page data snapshot function `1.2.0 +`
* Support for menu system that jumps out of external links `1.2.0 +`
* Support menu svg icon `1.3.0 +`
* Logging and error catching `1.3.0 +`
* Global menu search `1.3.0 +`
* Custom login redirect `1.3.0 +`
* Switch global base component size `1.4.0 +`
* Page loading progress bar `1.4.1 +`
* Adaptive top menu bar `1.4.7 +`
* Support for merging cells when exporting xslx `1.5.4 +`

## Other version

| Name | HomePage  | Preview | Introduction |
| --- | --- | --- | --- |
| Starter template | [Github](https://github.com/d2-projects/d2-admin-start-kit) | [Preview](https://start-kit.d2admin.fairyever.com) |  |
| D2 Admin Renren | Private project | [Preview](https://renren.d2admin.fairyever.com) | [renren](https://www.renren.io) |
| Alibaba Ice scaffold | [Ice](https://alibaba.github.io/ice/scaffold?type=vue) | [Preview](https://ice.d2admin.fairyever.com) | [Introduction](https://juejin.im/post/5b6349716fb9a04f834669d6) |

## Ecology

| Name | HomePage  | Preview | Introduction |
| --- | --- | --- | --- |
| D2 Daily | [Github](https://github.com/d2-projects/d2-awesome) | [Site](https://awesome.fairyever.com/daily/) | Update news and resources in the design and technology circles every day |
| D2 CRUD | [Github](https://github.com/d2-projects/d2-crud) | [Preview](https://d2admin.fairyever.com/#/demo/d2-crud/index) | Table common operation package |
| D2 Ribbons | [Github](https://github.com/d2-projects/d2-ribbons) | [Preview](https://github.com/d2-projects/d2-ribbons) | Open source project logo library |

## Derived open source projects

> These projects are contributed by the open source community and are not guaranteed to use the latest version of D2Admin. Please contact their open source authors for related usage questions.

| Name | Github / HomePage | Preview | Introduction |
| --- | --- | --- | --- |
| d2-admin-pm | [Github](https://github.com/wjkang/d2-admin-pm) | [Preview](http://jaycewu.coding.me/d2-admin-pm) | RBAC privilege management solution based on d2-admin |
| LanBlog | [Github](https://github.com/sinksmell/LanBlog) | [Preview](http://47.101.222.133/) | Vue + Beego restful api personal blog system |

## Open source backend implementation

> The backend is contributed by the open source community. The latest version of D2Admin is not guaranteed. Please contact its open source author for related usage issues.

| Name | technology | HomePage | Preview | Introduction |
| --- | --- | --- | --- | --- |
| **CareyShop** | ThinkPHP5 | [Github](https://github.com/dnyz520/careyshop-admin) | [Preview](https://demo.careyshop.cn/admin/#/index) | High Performance Mall Framework System for CareyShop |
| **jiiiiiin-security** | Spring Boot + Spring Security | [Github](https://github.com/Jiiiiiin/jiiiiiin-security) | [Preview](https://github.com/Jiiiiiin/jiiiiiin-security) | Separate front-end and back-end content management infrastructure projects, focusing on user rights management functions |
| **Taroco** | Spring Cloud | [Github](https://github.com/liuht777/Taroco) | [Preview](http://111.231.192.110/) | Complete microservice enterprise solution |
| **Aooms** | Spring Cloud | [Gitee](https://gitee.com/cyb-javaer/Aooms) | [Preview](https://www.yuboon.com/Aooms) | Extremely fast microservice development, not just as simple as JFinal |
| **GOA** | Beego | [Github](https://github.com/Qsnh/goa) | [Preview](http://goaio.vip/) | Online question answering system based on Beego + Vue |

## Badge

If your open source project is based on D2Admin development, please add the following badge to your README:

<a href="https://github.com/d2-projects/d2-admin" target="_blank">
	<img src="https://raw.githubusercontent.com/FairyEver/d2-admin/master/doc/image/d2-admin@2x.png" width="200">
</a>

Copy the following code into the README to:

``` html
<a href="https://github.com/d2-projects/d2-admin" target="_blank"><img src="https://raw.githubusercontent.com/FairyEver/d2-admin/master/doc/image/d2-admin@2x.png" width="200"></a>
```

At the same time, you can report your project to us. We will place the excellent project in D2Admin and help you publicize it.

## Important Contributor

* [@FairyEver](https://github.com/FairyEver)
* [@sunhaoxiang](https://github.com/sunhaoxiang)
* [@Aysnine](https://github.com/Aysnine)
* [@han-feng](https://github.com/han-feng)
* [@rongxingsun](https://github.com/rongxingsun)
* [@dnyz520](https://github.com/dnyz520)

## License

[MIT](https://github.com/d2-projects/d2-admin/blob/master/LICENSE)

Copyright (c) 2018-present FairyEver
